module Self = Plugin.Register(struct
    let name = "control flow graph"
    let shortname = "viewcfg"
    let help = "control flow graph computation and display"
  end)

module Enabled = Self.False(struct
    let option_name = "-cfg"
    let help =
      "when on (off by default), computes the CFG of all functions."
  end)

module OutputFile = Self.String(struct
    let option_name = "-cfg-output"
    let default = "cfg.dot"
    let arg_name = "output-file"
    let help = "file where the graph is output, in dot format."
  end)
